> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre à jour une expédition

> Met à jour une expédition.

Met à jour une expédition.

```json Corps de la requête theme={null}
{
  "dueDate": "2026-08-28",
  "plannedDepartureDate": "2026-08-27T08:00:00+02:00",
  "actualDepartureDate": "2026-08-27T08:15:00+02:00",
  "plannedArrivalDate": "2026-08-28T10:00:00+02:00",
  "actualArrivalDate": "2026-08-28T10:20:00+02:00",
  "trackingLinkUrl": "https://tracking.example/EXP-0042",
  "carrierOrganizationId": 9,
  "processStepId": 18
}
```


## OpenAPI

````yaml openapi.json PUT /shipments/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /shipments/{id}:
    put:
      summary: Update a shipment
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: carrierOrganizationId
          required: false
          schema:
            type: integer
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
        - in: query
          name: processStepId
          required: false
          schema:
            type: integer
        - in: query
          name: trackingLinkUrl
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                actualArrivalDate:
                  $ref: '#/components/schemas/timestamptz'
                actualDepartureDate:
                  $ref: '#/components/schemas/timestamptz'
                carrierOrganizationId:
                  nullable: true
                  type: integer
                dueDate:
                  $ref: '#/components/schemas/date'
                id:
                  nullable: false
                  type: integer
                plannedArrivalDate:
                  $ref: '#/components/schemas/timestamptz'
                plannedDepartureDate:
                  $ref: '#/components/schemas/timestamptz'
                processStepId:
                  nullable: true
                  type: integer
                trackingLinkUrl:
                  nullable: true
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateShipmentsByPk:
                    nullable: true
                    properties:
                      actualArrivalDate:
                        $ref: '#/components/schemas/timestamptz'
                      actualDepartureDate:
                        $ref: '#/components/schemas/timestamptz'
                      carrier:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      dueDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      plannedArrivalDate:
                        $ref: '#/components/schemas/timestamptz'
                      plannedDepartureDate:
                        $ref: '#/components/schemas/timestamptz'
                      reference:
                        nullable: false
                        type: string
                      step:
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      trackingLink:
                        nullable: true
                        type: string
                    type: object
          description: Response
components:
  schemas:
    timestamptz:
      nullable: true
    date:
      nullable: false

````